### Name: sim
### Title: Functions to simulate psychological/psychometric data.
### Aliases: sim sim.simplex sim.minor
### Keywords: multivariate datagen

### ** Examples

simplex <- sim.simplex() #create the default structure
round(simplex,2)  #the correlation matrix


congeneric <- sim.congeneric()
round(congeneric,2)
R <- sim.hierarchical()
R
fx <- matrix(c(.9,.8,.7,rep(0,6),c(.8,.7,.6)),ncol=2)
fy <- c(.6,.5,.4)
Phi <- matrix(c(1,0,.5,0,1,.4,0,0,0),ncol=3)
R <- sim.structure(fx,Phi,fy) 
cor.plot(R$model) #show it graphically

simp <- sim.simplex()
#show the simplex structure using cor.plot
cor.plot(simp,colors=TRUE)



